from sqlalchemy import Column, Integer, ForeignKey
from sqlalchemy.orm import relationship

from .base import Base

class BookCategoryStatistics(Base):
    __tablename__ = 'book_category_statistics'

    book_category_id = Column(Integer, ForeignKey('book_category.id', ondelete="cascade"), primary_key=True)
    count = Column(Integer(unsigned=True), nullable=False, default=0)

    category = relationship(
        'BookCategory',
        back_populates='book_category_statistics'
    )


__all__ = ["BookCategoryStatistics"]
